Bug 1680157 - [RFE] Puppet 'package' provider type does not support selecting modularity streams
Summary: [RFE] Puppet 'package' provider type does not support selecting modularity st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 20:57 UTC by wclark
Modified: 2020-10-27 12:58 UTC (History)
13 users (show)

Fixed In Version: puppet-agent-6.14.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:58:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:58:34 UTC

Description wclark 2019-02-22 20:57:17 UTC
The native puppet types don't seem to have support for dnf modularity. How does the Sat6 team plan to implement modularity support with puppet under Satellite?

Comment 8 Daniel Mach 2019-07-08 08:16:15 UTC
Could you specify scope you expect to be done?
Do you need any assistance or any particular changes in the DNF stack?
If not, would you be fine with closing this bug?

Comment 9 Daniel Mach 2019-07-31 06:46:00 UTC
Closing as the scope is unclear.
Please reopen the bug if you have more information on what we're expected to deliver.

Comment 12 wclark 2019-10-23 14:32:01 UTC
The upstream issue at https://tickets.puppetlabs.com/browse/PUP-9978 has been updated:



Resolution 		Fixed [ 1 ]
Release Notes Summary 		Puppet now supports managing DNF modules, which are groups of packages that represent an application, a language runtime, or any logical group.

Modules can be available in multiple streams, usually representing a major version of the software they include. Profiles are package subsets representing a specific use case of the module (these are handled by the flavor parameter of the package type).

Due to the significant difference between a package and a module, dnfmodule is an opt-in provider and should be explicitly specified in the manifest.
Release Notes 		New Feature [ 11408 ]
Status 	Ready for Merge [ 10002 ] 	Resolved [ 5 ]



Fix Version/s 		PUP 6.11.0 [ 32097 ]
Fix Version/s 		PUP 6.4.5 [ 32095 ]
Fix Version/s 		PUP 5.5.18 [ 32091 ]

Comment 13 Lukáš Hrázký 2019-11-06 10:20:01 UTC
William, since the upstream Puppet issue has been resolved, is there anything left to do on DNF side or is this resolved just by that?

Comment 14 wclark 2019-11-06 14:07:49 UTC
Hi Lukáš,

The RFE will be resolved for the customer once Satellite's Puppet is rebased on a version of upstream Puppet that has the new feature. So rather than closing the bug I prefer it to be assigned to Satellite Engineering.

Thanks!

Comment 17 Bryan Kearney 2020-05-01 14:23:05 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 19 Vladimír Sedmík 2020-08-12 08:29:24 UTC
Verified with Sat 6.8 snap 10 running on RHEL7.8 and a RHEL8.2 host. Satellite provides puppetserver-6.9.2-1 and puppet-agent-6.14.0-1 for it's hosts, which already supports dnfmodule provider.

On the RHEL8.2 host I tried to 'puppet apply' manifests installing and removing packages from specific streams and profiles successfully. 

package { 'httpd:2.4/devel':
  ensure => 'installed',
  provider => 'dnfmodule'
}

package { 'httpd':
  ensure => 'absent',
  provider => 'dnfmodule'
}

Comment 22 errata-xmlrpc 2020-10-27 12:58:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.